put binary check below argument parsing

This commit is contained in:
Dave Eddy 2021-12-04 12:31:09 -05:00
parent 7867fc3d07
commit 547d01009e
1 changed files with 5 additions and 5 deletions

View File

@ -165,11 +165,6 @@ human-size() {
echo '0 B'
}
if ! command -v zfs &>/dev/null; then
echo "Error! zfs command not found. Are you on the right machine?" >&2
exit 1
fi
recursive=false
dryrun=false
listonly=false
@ -240,6 +235,11 @@ if ! now=$(get-epoch); then
exit 1
fi
if ! command -v zfs &>/dev/null; then
echo "Error! zfs command not found. Are you on the right machine?" >&2
exit 1
fi
# first pass of the pools (to calculate totals and filter unwanted datasets
lines=()
while read -r line; do